Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: тачпад и двупальцевая прокрутка, по пути ли им?  (Прочитано 863 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Доброго времени суток господа и дамы! (ubuntu 14.04 lts, ноут asus)Проблема вот в чём у меня тачпад работает исправно, но не работает двупальцевая прокрутка а после винды так к ней привык.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
Воооще в Ubuntu она работает. Видимо есть проблема конкретно с вашим тачпадом.
Но вы не сообщили ничего о своей системе. Дайте для начала вывод команды.

xinput
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
⎡ Virtual core pointer                       id=2   [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                 id=4   [slave  pointer  (2)]
⎜   ↳ MOSART Semi. 2.4G Keyboard Mouse           id=11   [slave  pointer  (2)]
⎜   ↳ PS/2 FocalTech FocalTech Touchpad in mouse emulation mode   id=15   [slave  pointer  (2)]
⎣ Virtual core keyboard                      id=3   [master keyboard (2)]
    ↳ Virtual core XTEST keyboard                id=5   [slave  keyboard (3)]
    ↳ Power Button                               id=6   [slave  keyboard (3)]
    ↳ Video Bus                                  id=7   [slave  keyboard (3)]
    ↳ Video Bus                                  id=8   [slave  keyboard (3)]
    ↳ Sleep Button                               id=9   [slave  keyboard (3)]
    ↳ MOSART Semi. 2.4G Keyboard Mouse           id=10   [slave  keyboard (3)]
    ↳ USB Camera                                 id=12   [slave  keyboard (3)]
    ↳ Asus WMI hotkeys                           id=13   [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard               id=14   [slave  keyboard (3)]

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
Понятно. У вас Focaltech. Он полностью поддерживается (с мультитачем) с ядра 4.2.
Вам нужно ядро обновить, и все заработает. Если бы сразу установили Ubuntu 14.04.4, то уже бы работало.
Но не проблема. Сделайте в терминале

sudo apt-get install linux-generic-lts-wily
и перезагрузитесь когда все установится.

Должно заработать. Потом имеет смысл удалить метапакеты от старых ядер, чтобы они паралелльно не обновлялись.
« Последнее редактирование: 16 Март 2016, 17:51:52 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
а можно команду для сея деяния, пожалуйста :)?

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
А какое у вас сейчас ядро? Вывод

uname -a
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Linux machine 4.2.0-34-generic #39~14.04.1-Ubuntu SMP Fri Mar 11 11:38:02 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
Блин, ну да. Теперь уже 4.2. А было какое? Какую версию вы ставили?

Если не знаете, то проще всего установить synaptic и удалить все пакеты

linux-image-* и linux-headers-* версии ниже 4.2.

Пользователь решил продолжить мысль [time]16 Март 2016, 18:01:07[/time]:
Ну или дайте вывод

dpkg -l | grep linux-image

под спойлер.

Ничего страшного не будет, если оставить как есть. Только при обновлениях у вас будут устанавливаться и старые ядра тоже.
Они будут диск зря заполнять.
« Последнее редактирование: 16 Март 2016, 18:01:59 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
linux-image-synaptic
and
linux-headers-synaptic
??

Пользователь решил продолжить мысль [time]16 Март 2016, 18:04:07[/time]:
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 16 Март 2016, 18:23:45 от Azure »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
Понятно. Вот команда

sudo apt-get remove 'linux-image-3\.19.*' 'linux-headers-3\.19.*'
После выполнения на всякий случай не перезагружайтесь и дайте снова вывод

dpkg -l | grep linux-image
Пользователь решил продолжить мысль 16 Март 2016, 18:18:53:
Должно остаться так

ii  linux-image-4.2.0-34-generic                                4.2.0-34.39~14.04.1                                 amd64        Linux kernel image for version 4.2.0 on 64 bit x86 SMP
ii  linux-image-extra-4.2.0-34-generic                          4.2.0-34.39~14.04.1                                 amd64        Linux kernel extra modules for version 4.2.0 on 64 bit x86 SMP
ii  linux-image-generic-lts-wily                                4.2.0.34.27                                         amd64        Generic Linux kernel image
« Последнее редактирование: 16 Март 2016, 18:18:53 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 16 Март 2016, 18:24:42 от Azure »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Mr.Wou,
Ну да. Все правильно получилось.

rc - это в том смысле, что можно установить. Все должно дальше работать нормально.
Еще можно сделать

sudo apt-get clean

чтобы из кэша убрать старые ядра.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Mr.Wou

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
спасибо большое:)

 

Страница сгенерирована за 0.066 секунд. Запросов: 24.